aboutsummaryrefslogtreecommitdiff
path: root/bin/ak-zchain-rebase
diff options
context:
space:
mode:
authorkaotisk <kaotisk@arching-kaos.org>2023-09-11 20:57:04 +0300
committerkaotisk <kaotisk@arching-kaos.org>2023-09-11 20:57:04 +0300
commit7550b8ccb0b05d3b11a9bfcb45cee0849dc05f76 (patch)
treefd8901115994d1bcbe43f8856ecadcf0bd33ebde /bin/ak-zchain-rebase
parent6732953e0cc1e4d91d19dcddb90a2fc9afdfeace (diff)
downloadarching-kaos-tools-7550b8ccb0b05d3b11a9bfcb45cee0849dc05f76.tar.gz
arching-kaos-tools-7550b8ccb0b05d3b11a9bfcb45cee0849dc05f76.tar.bz2
arching-kaos-tools-7550b8ccb0b05d3b11a9bfcb45cee0849dc05f76.zip
Workaround for IPNS unresolvable zchain links
- Adds a "zlatest" field to the configuration of the node - We update and publish the configuration each time we change the latest block of our zchain
Diffstat (limited to 'bin/ak-zchain-rebase')
-rwxr-xr-xbin/ak-zchain-rebase6
1 files changed, 6 insertions, 0 deletions
diff --git a/bin/ak-zchain-rebase b/bin/ak-zchain-rebase
index 3115083..255ec69 100755
--- a/bin/ak-zchain-rebase
+++ b/bin/ak-zchain-rebase
@@ -40,6 +40,12 @@ rebase (){
ak-ipfs-name-publish --key=zchain /ipfs/$(cat $AK_ZLATEST)
if [ $? != 0 ]; then exit 1; fi
+ ak-config publish
+ if [ "$?" -ne 0 ]
+ then
+ logit "[ERROR]" "Could not publish new configuration"
+ exit 1
+ fi
echo "Rebase was successful"
exit 0
}